package com.sqx.modules.bl.order.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.bl.order.entity.UserPackageOrdersMapping;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface UserPackageOrdersMappingDao extends BaseMapper<UserPackageOrdersMapping> {

    List<UserPackageOrdersMapping> findList(UserPackageOrdersMapping userPackageOrdersMapping);

    List<UserPackageOrdersMapping> findListByOrdersId(Long ordersId);

    int insert(UserPackageOrdersMapping userPackageOrdersMapping);

    int deleteByOrdersId(Long ordersId);

}